v1.70.0-beta.0

Version v1.69.0-beta.4 to v1.70.0-beta.0


Summary of Changes

12 - New

42 - Updated

862 - Total Endpoints

586 - Total Paths



Added

[ campusGateway ]

clusters

Docs

Delete a cluster

Operation ID: deleteNetworkCampusGatewayCluster

PATH /networks/{networkId}/campusGateway/clusters/{clusterId}

- Path added

- New endpoint

DELETE /networks/{networkId}/campusGateway/clusters/{clusterId}



[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: createDeviceApplianceInterfacesPortsUpdate

PATH /devices/{serial}/appliance/interfaces/ports/update

- Path added

- New endpoint

POST /devices/{serial}/appliance/interfaces/ports/update



cellular

Docs

Update the cellular band masks for a device

Operation ID: createDeviceCellularUplinksBandsMasksUpdate

PATH /devices/{serial}/cellular/uplinks/bands/masks/update

- Path added

- New endpoint

POST /devices/{serial}/cellular/uplinks/bands/masks/update



[ organizations ]

assurance

Docs

Return combined wireless and wired connected client counts over time for a network.

Operation ID: getOrganizationAssuranceClientsConnectedCountHistory

PATH /organizations/{organizationId}/assurance/clients/connectedCountHistory

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/clients/connectedCountHistory



campusGateway

Docs

List the details of a Failover Targets for a Campus Gateway cluster

Operation ID: getOrganizationCampusGatewayClustersFailoverTargets

PATH /organizations/{organizationId}/campusGateway/clusters/failover/targets

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clusters/failover/targets



Docs

Get available backup cluster targets for campus gateway failover configuration

Operation ID: getOrganizationCampusGatewayClustersFailoverTargetsByCluster

PATH /organizations/{organizationId}/campusGateway/clusters/failover/targets/byCluster

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clusters/failover/targets/byCluster



Docs

List networks tunneling through Campus Gateway clusters with their AP, ssids and client counts

Operation ID: getOrganizationCampusGatewayClustersNetworksOverviews

PATH /organizations/{organizationId}/campusGateway/clusters/networks/overviews

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clusters/networks/overviews



Docs

Provisions a cluster,adds campus gateways to it and associate/dissociate failover targets.

Operation ID: provisionOrganizationCampusGatewayClusters

PATH /organizations/{organizationId}/campusGateway/clusters/provision

- Path added

- New endpoint

POST /organizations/{organizationId}/campusGateway/clusters/provision



Docs

List SSIDs tunneling through Campus Gateway clusters

Operation ID: getOrganizationCampusGatewayClustersSsids

PATH /organizations/{organizationId}/campusGateway/clusters/ssids

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clusters/ssids



Docs

List the details of APs tunneling through the Campus Gateway clusters

Operation ID: getOrganizationCampusGatewayConnections

PATH /organizations/{organizationId}/campusGateway/connections

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/connections



Docs

List the count of connections(APs) with tunneling status up and down through the Campus Gateway clusters

Operation ID: getOrganizationCampusGatewayConnectionsOverview

PATH /organizations/{organizationId}/campusGateway/connections/overview

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/connections/overview



devices

Docs

Assign devices to a Cellular Data Management Profile in batch

Operation ID: batchOrganizationDevicesCellularDataProfilesAssignmentsCreate

PATH /organizations/{organizationId}/devices/cellular/data/profiles/assignments/batchCreate

- Path added

- New endpoint

POST /organizations/{organizationId}/devices/cellular/data/profiles/assignments/batchCreate



Changed

[ appliance ]

firewall

Docs

Return the firewall settings for this network

Operation ID: getNetworkApplianceFirewallSettings

GET /networks/{networkId}/appliance/firewall/settings

- added the optional property spoofingProtection to the response with the 200 status


Docs

Update the firewall settings for this network

Operation ID: updateNetworkApplianceFirewallSettings

PUT /networks/{networkId}/appliance/firewall/settings

- added the optional property spoofingProtection to the response with the 200 status


interfaces

Docs

Create wired L3 interface configuration

Operation ID: createNetworkApplianceInterfacesL3

POST /networks/{networkId}/appliance/interfaces/l3

- removed the request property port/number

- removed the optional property port/number from the response with the 201 status

- added the new optional request property port/interface

- added the optional property port/interface to the response with the 201 status


Docs

Update wired L3 interface configuration

Operation ID: updateNetworkApplianceInterfacesL3

PUT /networks/{networkId}/appliance/interfaces/l3/{interfaceId}

- removed the request property port/number

- removed the optional property port/number from the response with the 200 status

- added the new optional request property port/interface

- added the optional property port/interface to the response with the 200 status


[ devices ]

appliance

PUT /devices/{serial}/appliance/interfaces/ports

- api path removed without deprecation


Docs

Update configurations for an appliance's specified port

Operation ID: updateDeviceApplianceInterfacesPort

PUT /devices/{serial}/appliance/interfaces/ports/{number}

- request property downlink/access/policyType was restricted to a list of enum values

- removed the optional property interfaceName from the response with the 200 status

- added the new 8021x enum value to the downlink/access/policyType response property for the response status 200

- added the new hybrid_8021x_mac enum value to the downlink/access/policyType response property for the response status 200

- added the new mac_radius enum value to the downlink/access/policyType response property for the response status 200

- added the new open enum value to the downlink/access/policyType response property for the response status 200

- added the new 8021x enum value to the request property downlink/access/policyType

- added the new hybrid_8021x_mac enum value to the request property downlink/access/policyType

- added the new mac_radius enum value to the request property downlink/access/policyType

- added the new open enum value to the request property downlink/access/policyType


cellular

PUT /devices/{serial}/cellular/uplinks/bands/masks

- api path removed without deprecation


switch

Docs

Cycle a set of switch ports on non-Catalyst MS devices

Operation ID: cycleDeviceSwitchPorts

POST /devices/{serial}/switch/ports/cycle

- endpoint deprecated


syslog

Docs

Updates the syslog servers configuration for a network.

Operation ID: updateNetworkDevicesSyslogServers

PUT /networks/{networkId}/devices/syslog/servers

- the servers/items/port request property type/format changed from string/ to `integer`/

- the servers/items/port response's property type/format changed from string/ to `integer`/ for status 200


[ networks ]

general

Docs

Return a network

Operation ID: getNetwork

GET /networks/{networkId}

- added the optional property details to the response with the 200 status


Docs

Update a network

Operation ID: updateNetwork

PUT /networks/{networkId}

- added the optional property details to the response with the 200 status


[ organizations ]

appliance

Docs

Listing of L3 Interface Configurations across networks for the organization

Operation ID: getOrganizationApplianceDevicesInterfacesL3ByNetwork

GET /organizations/{organizationId}/appliance/devices/interfaces/l3/byNetwork

- removed the optional property items/items/interfaces/items/port/number from the response with the 200 status

- added the optional property items/items/interfaces/items/port/interface to the response with the 200 status


Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- deleted the query request parameter interfaces

- removed the optional property items/items/ports/items/interfaceName from the response with the 200 status

- added the new 8021x enum value to the items/items/ports/items/downlink/access/policyType response property for the response status 200

- added the new hybrid_8021x_mac enum value to the items/items/ports/items/downlink/access/policyType response property for the response status 200

- added the new mac_radius enum value to the items/items/ports/items/downlink/access/policyType response property for the response status 200

- added the new open enum value to the items/items/ports/items/downlink/access/policyType response property for the response status 200


assurance

Docs

Return all health alerts for an organization

Operation ID: getOrganizationAssuranceAlerts

GET /organizations/{organizationId}/assurance/alerts

- added the enum value image_sensor_failure to the property items/ of the query request parameter types

- added the enum value wireless_capacity_degraded to the property items/ of the query request parameter types

- added the enum value wireless_coverage_degraded to the property items/ of the query request parameter types


Docs

Return overview of active health alerts for an organization

Operation ID: getOrganizationAssuranceAlertsOverview

GET /organizations/{organizationId}/assurance/alerts/overview

- added the enum value image_sensor_failure to the property items/ of the query request parameter types

- added the enum value wireless_capacity_degraded to the property items/ of the query request parameter types

- added the enum value wireless_coverage_degraded to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by network and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByNetwork

GET /organizations/{organizationId}/assurance/alerts/overview/byNetwork

- added the enum value image_sensor_failure to the property items/ of the query request parameter types

- added the enum value wireless_capacity_degraded to the property items/ of the query request parameter types

- added the enum value wireless_coverage_degraded to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by type and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByType

GET /organizations/{organizationId}/assurance/alerts/overview/byType

- added the enum value image_sensor_failure to the property items/ of the query request parameter types

- added the enum value wireless_capacity_degraded to the property items/ of the query request parameter types

- added the enum value wireless_coverage_degraded to the property items/ of the query request parameter types


Docs

Returns historical health alert overviews

Operation ID: getOrganizationAssuranceAlertsOverviewHistorical

GET /organizations/{organizationId}/assurance/alerts/overview/historical

- added the enum value image_sensor_failure to the property items/ of the query request parameter types

- added the enum value wireless_capacity_degraded to the property items/ of the query request parameter types

- added the enum value wireless_coverage_degraded to the property items/ of the query request parameter types


Docs

Return a list of alert types

Operation ID: getOrganizationAssuranceAlertsTaxonomyTypes

GET /organizations/{organizationId}/assurance/alerts/taxonomy/types

- the endpoint scheme security oauth2 was added to the API


Docs

Summarizes wireless post connection capacity successes and failures by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClient

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


Docs

Summarizes wireless post connection capacity successes and failures by device.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByDevice

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byDevice

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


Docs

Summarizes wireless post connection capacity successes and failures by ssid.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkBySsid

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/bySsid

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


Docs

Summarizes wireless coverage successes and failures by client.

Operation ID: getOrganizationAssuranceWirelessExperienceCoverageByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/coverage/byNetwork/byClient

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


Docs

Summarizes wireless coverage successes and failures by device.

Operation ID: getOrganizationAssuranceWirelessExperienceCoverageByNetworkByDevice

GET /organizations/{organizationId}/assurance/wireless/experience/coverage/byNetwork/byDevice

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


Docs

Summarizes wireless coverage successes and failures by SSID.

Operation ID: getOrganizationAssuranceWirelessExperienceCoverageByNetworkBySsid

GET /organizations/{organizationId}/assurance/wireless/experience/coverage/byNetwork/bySsid

- removed the optional property items/items/items/connections/observedBands from the response with the 200 status

- added the optional property items/items/items/connections/impactedBands to the response with the 200 status


devices

Docs

List devices eligible for Cellular Data Management profile assignment in this organization

Operation ID: getOrganizationDevicesCellularDataDevices

GET /organizations/{organizationId}/devices/cellular/data/devices

- deleted the query request parameter excludedDevices

- deleted the query request parameter excludedProfiles

- deleted the query request parameter includedDevices

- deleted the query request parameter includedProfiles

- removed the optional property items/items/deviceType from the response with the 200 status

- removed the optional property items/items/software/majorNumber from the response with the 200 status

- removed the optional property items/items/software/minorNumber from the response with the 200 status

- removed the optional property items/items/software/patchNumber from the response with the 200 status

- removed the optional property meta/count from the response with the 200 status

- added the new esim enum value to the items/items/modems/items/sims/items/slot response property for the response status 200

- added the new optional query request parameter excludedProfileIds

- added the new optional query request parameter excludedSerials

- added the new optional query request parameter includedProfileIds

- added the new optional query request parameter includedSerials

- added the optional property items/items/model to the response with the 200 status

- added the optional property items/items/software/currentVersion to the response with the 200 status

- added the optional property meta/counts to the response with the 200 status

- removed the sim3 enum value from the items/items/modems/items/sims/items/slot response property for the response status 200


Docs

Add a cellular data management profile to this organization

Operation ID: createOrganizationDevicesCellularDataProfile

POST /organizations/{organizationId}/devices/cellular/data/profiles

- added the new required request property rules/items/cap/term

- added the new required request property rules/items/uplink

- request property rules/items/actions/items/type was restricted to a list of enum values

- request property rules/items/slot was restricted to a list of enum values

- the rules/items/cap/term response's property type/format changed from string/ to `object`/ for status 200

- the rules/items/cap/threshold request property's max was set to 1.00

- the rules/items/cap/value request property's max was set to 1024000.00

- the rules/items/cap/threshold request property's min was set to 0.01

- the rules/items/cap/value request property's min was set to 1.00

- removed the request property rules/items/cap/termStart

- removed the request property rules/items/isPreferredUplink

- removed the request property rules/items/uplinkPriority

- removed the optional property rules/items/cap/termStart from the response with the 200 status

- removed the optional property rules/items/isPreferredUplink from the response with the 200 status

- removed the optional property rules/items/uplinkPriority from the response with the 200 status

- added the new failover enum value to the rules/items/actions/items/type response property for the response status 200

- added the new send_message enum value to the rules/items/actions/items/type response property for the response status 200

- added the new sim1 enum value to the rules/items/slot response property for the response status 200

- added the new sim2 enum value to the rules/items/slot response property for the response status 200

- added the new sim3 enum value to the rules/items/slot response property for the response status 200

- added the new failover enum value to the request property rules/items/actions/items/type

- added the new send_message enum value to the request property rules/items/actions/items/type

- added the new sim1 enum value to the request property rules/items/slot

- added the new sim2 enum value to the request property rules/items/slot

- added the new sim3 enum value to the request property rules/items/slot

- added the optional property rules/items/cap/term/resets to the response with the 200 status

- added the optional property rules/items/cap/term/starts to the response with the 200 status

- added the optional property rules/items/uplink to the response with the 200 status


Docs

List Cellular Data Management Profile assignments in this organization

Operation ID: getOrganizationDevicesCellularDataProfilesAssignments

GET /organizations/{organizationId}/devices/cellular/data/profiles/assignments

- removed the optional property items/items/profileId from the response with the 200 status

- removed the optional property items/items/serial from the response with the 200 status

- removed the optional property meta/counts/remaining from the response with the 200 status

- removed the optional property meta/counts/total from the response with the 200 status

- added the optional property items/items/device to the response with the 200 status

- added the optional property items/items/profile to the response with the 200 status

- added the optional property meta/counts/items to the response with the 200 status


POST /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkCreate

- api path removed without deprecation


Docs

Unassign devices from a Cellular Data Management Profile in batch

Operation ID: bulkOrganizationDevicesCellularDataProfilesAssignmentsDelete

POST /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkDelete

- added the new required request property items/items/device

- added the new required request property items/items/profile

- removed the request property items/items/profileId

- removed the request property items/items/serial


Docs

Update a Cellular Data Management Profile

Operation ID: updateOrganizationDevicesCellularDataProfile

PUT /organizations/{organizationId}/devices/cellular/data/profiles/{profileId}

- added the new required request property rules/items/cap/term

- added the new required request property rules/items/uplink

- request property rules/items/actions/items/type was restricted to a list of enum values

- request property rules/items/slot was restricted to a list of enum values

- the rules/items/cap/term response's property type/format changed from string/ to `object`/ for status 200

- the rules/items/cap/threshold request property's max was set to 1.00

- the rules/items/cap/value request property's max was set to 1024000.00

- the rules/items/cap/threshold request property's min was set to 0.01

- the rules/items/cap/value request property's min was set to 1.00

- removed the request property rules/items/cap/termStart

- removed the request property rules/items/isPreferredUplink

- removed the request property rules/items/uplinkPriority

- removed the optional property rules/items/cap/termStart from the response with the 200 status

- removed the optional property rules/items/isPreferredUplink from the response with the 200 status

- removed the optional property rules/items/uplinkPriority from the response with the 200 status

- added the new failover enum value to the rules/items/actions/items/type response property for the response status 200

- added the new send_message enum value to the rules/items/actions/items/type response property for the response status 200

- added the new sim1 enum value to the rules/items/slot response property for the response status 200

- added the new sim2 enum value to the rules/items/slot response property for the response status 200

- added the new sim3 enum value to the rules/items/slot response property for the response status 200

- added the new failover enum value to the request property rules/items/actions/items/type

- added the new send_message enum value to the request property rules/items/actions/items/type

- added the new sim1 enum value to the request property rules/items/slot

- added the new sim2 enum value to the request property rules/items/slot

- added the new sim3 enum value to the request property rules/items/slot

- added the optional property rules/items/cap/term/resets to the response with the 200 status

- added the optional property rules/items/cap/term/starts to the response with the 200 status

- added the optional property rules/items/uplink to the response with the 200 status


Docs

List current cellular data usage for devices in this organization

Operation ID: getOrganizationDevicesCellularDataUsageByDevice

GET /organizations/{organizationId}/devices/cellular/data/usage/byDevice

- removed the optional property items/items/bySlot/items/active from the response with the 200 status

- removed the optional property items/items/bySlot/items/dataUsage from the response with the 200 status

- removed the optional property meta/count from the response with the 200 status

- added the new esim enum value to the items/items/bySlot/items/slot response property for the response status 200

- added the new sim1 enum value to the items/items/bySlot/items/slot response property for the response status 200

- added the new sim2 enum value to the items/items/bySlot/items/slot response property for the response status 200

- added the optional property items/items/bySlot/items/endTs to the response with the 200 status

- added the optional property items/items/bySlot/items/isActive to the response with the 200 status

- added the optional property items/items/bySlot/items/lastUpdatedAt to the response with the 200 status

- added the optional property items/items/bySlot/items/limit to the response with the 200 status

- added the optional property items/items/bySlot/items/startTs to the response with the 200 status

- added the optional property items/items/bySlot/items/total to the response with the 200 status

- added the optional property meta/counts to the response with the 200 status


Docs

List historical cellular data usage grouped by device and interval in this organization

Operation ID: getOrganizationDevicesCellularDataUsageHistoryByDeviceByInterval

GET /organizations/{organizationId}/devices/cellular/data/usage/history/byDevice/byInterval

- removed the optional property meta/count from the response with the 200 status

- added the new sim1 enum value to the items/items/intervals/items/usage/bySim/items/name response property for the response status 200

- added the new sim2 enum value to the items/items/intervals/items/usage/bySim/items/name response property for the response status 200

- added the new sim3 enum value to the items/items/intervals/items/usage/bySim/items/name response property for the response status 200

- added the optional property meta/counts to the response with the 200 status


Docs

Returns syslog servers configured for the networks within an organization.

Operation ID: getOrganizationDevicesSyslogServersByNetwork

GET /organizations/{organizationId}/devices/syslog/servers/byNetwork

- the items/items/servers/items/port response's property type/format changed from string/ to `integer`/ for status 200


Docs

Returns roles that can be assigned to a syslog server for a given network.

Operation ID: getOrganizationDevicesSyslogServersRolesByNetwork

GET /organizations/{organizationId}/devices/syslog/servers/roles/byNetwork

- removed the required property items/items/availableRoles from the response with the 200 status

- added the required property items/items/available to the response with the 200 status


networks

Docs

List the networks that the user has privileges on in an organization

Operation ID: getOrganizationNetworks

GET /organizations/{organizationId}/networks

- added the optional property items/details to the response with the 200 status


Docs

Create a network

Operation ID: createOrganizationNetwork

POST /organizations/{organizationId}/networks

- added the optional property details to the response with the 201 status


Docs

Combine multiple networks into a single network

Operation ID: combineOrganizationNetworks

POST /organizations/{organizationId}/networks/combine

- added the optional property resultingNetwork/details to the response with the 200 status


[ snmp ]

general

Docs

Return the SNMP settings for a network

Operation ID: getNetworkSnmp

GET /networks/{networkId}/snmp

- added the optional property authentication to the response with the 200 status

- added the optional property privacy to the response with the 200 status


Docs

Update the SNMP settings for a network

Operation ID: updateNetworkSnmp

PUT /networks/{networkId}/snmp

- added the new optional request property authentication

- added the new optional request property privacy

- added the optional property authentication to the response with the 200 status

- added the optional property privacy to the response with the 200 status


[ split ]

general

Docs

Split a combined network into individual networks for each type of device

Operation ID: splitNetwork

POST /networks/{networkId}/split

- added the optional property resultingNetworks/items/details to the response with the 200 status


[ unbind ]

general

Docs

Unbind a network from a template.

Operation ID: unbindNetwork

POST /networks/{networkId}/unbind

- added the optional property details to the response with the 200 status



v1.69.0-beta.4

Version v1.69.0-beta.3 to v1.69.0-beta.4


Summary of Changes

8 - New

29 - Updated

858 - Total Endpoints

583 - Total Paths



Added

[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: updateDeviceApplianceInterfacesPorts

PATH /devices/{serial}/appliance/interfaces/ports

- Path added

- New endpoint

PUT /devices/{serial}/appliance/interfaces/ports



cellular

Docs

Update the cellular band masks for a device

Operation ID: updateDeviceCellularUplinksBandsMasks

PATH /devices/{serial}/cellular/uplinks/bands/masks

- Path added

- New endpoint

PUT /devices/{serial}/cellular/uplinks/bands/masks



liveTools

Docs

Enqueue a job to perform a cycle port for the device on the specified ports

Operation ID: createDeviceLiveToolsPortsCycle

PATH /devices/{serial}/liveTools/ports/cycle

- Path added

- New endpoint

POST /devices/{serial}/liveTools/ports/cycle



Docs

Return a cycle port live tool job.

Operation ID: getDeviceLiveToolsPortsCycle

PATH /devices/{serial}/liveTools/ports/cycle/{id}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/ports/cycle/{id}



[ organizations ]

appliance

Docs

Return the VRF setting for an organization.

Operation ID: getOrganizationApplianceRoutingVrfsSettings

PATH /organizations/{organizationId}/appliance/routing/vrfs/settings

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/routing/vrfs/settings



Docs

Update the VRF setting for an organization.

Operation ID: updateOrganizationApplianceRoutingVrfsSettings

PATH /organizations/{organizationId}/appliance/routing/vrfs/settings

- Path added

- New endpoint

PUT /organizations/{organizationId}/appliance/routing/vrfs/settings



assurance

Docs

Summarizes wired connection successes and failures by client.

Operation ID: getOrganizationAssuranceWiredExperienceSuccessfulConnectionsByNetworkByClient

PATH /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byClient

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byClient



Docs

Summarizes wired connection successes and failures by device.

Operation ID: getOrganizationAssuranceWiredExperienceSuccessfulConnectionsByNetworkByDevice

PATH /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byDevice



Changed

[ appliance ]

firewall

Docs

List the MX L7 firewall rules for an MX network

Operation ID: getNetworkApplianceFirewallL7FirewallRules

GET /networks/{networkId}/appliance/firewall/l7FirewallRules

- added the optional property rules to the response with the 200 status


Docs

Update the MX L7 firewall rules for an MX network

Operation ID: updateNetworkApplianceFirewallL7FirewallRules

PUT /networks/{networkId}/appliance/firewall/l7FirewallRules

- added the new allowedCountries enum value to the request property rules/items/type

- added the new blacklistedCountries enum value to the request property rules/items/type

- added the new blockedCountries enum value to the request property rules/items/type

- added the new whitelistedCountries enum value to the request property rules/items/type

- added the optional property rules to the response with the 200 status


ports

Docs

List per-port VLAN settings for all ports of a secure router or security appliance.

Operation ID: getNetworkAppliancePorts

GET /networks/{networkId}/appliance/ports

- added the optional property items/adaptivePolicyGroupId to the response with the 200 status


Docs

Return per-port VLAN settings for a single secure router or security appliance port.

Operation ID: getNetworkAppliancePort

GET /networks/{networkId}/appliance/ports/{portId}

- added the optional property adaptivePolicyGroupId to the response with the 200 status


Docs

Update the per-port VLAN settings for a single secure router or security appliance port.

Operation ID: updateNetworkAppliancePort

PUT /networks/{networkId}/appliance/ports/{portId}

- added the optional property adaptivePolicyGroupId to the response with the 200 status


singleLan

Docs

Return single LAN configuration

Operation ID: getNetworkApplianceSingleLan

GET /networks/{networkId}/appliance/singleLan

- added the optional property vrf to the response with the 200 status


Docs

Update single LAN configuration

Operation ID: updateNetworkApplianceSingleLan

PUT /networks/{networkId}/appliance/singleLan

- added the new optional request property vrf

- added the optional property vrf to the response with the 200 status


trafficShaping

Docs

Display the traffic shaping settings for an MX network

Operation ID: getNetworkApplianceTrafficShaping

GET /networks/{networkId}/appliance/trafficShaping

- added the required property globalBandwidthLimits to the response with the 200 status


Docs

Update the traffic shaping settings for an MX network

Operation ID: updateNetworkApplianceTrafficShaping

PUT /networks/{networkId}/appliance/trafficShaping

- request body became required

- the request property globalBandwidthLimits became required

- added the required property globalBandwidthLimits to the response with the 200 status


Docs

Display the traffic shaping settings rules for an MX network

Operation ID: getNetworkApplianceTrafficShapingRules

GET /networks/{networkId}/appliance/trafficShaping/rules

- added the optional property defaultRulesEnabled to the response with the 200 status

- added the optional property rules to the response with the 200 status


Docs

Update the traffic shaping settings rules for an MX network

Operation ID: updateNetworkApplianceTrafficShapingRules

PUT /networks/{networkId}/appliance/trafficShaping/rules

- added the optional property defaultRulesEnabled to the response with the 200 status

- added the optional property rules to the response with the 200 status


vlans

Docs

List the VLANs for a Security Appliance network

Operation ID: getNetworkApplianceVlans

GET /networks/{networkId}/appliance/vlans

- added the optional property items/adaptivePolicyGroupId to the response with the 200 status

- added the optional property items/vrf to the response with the 200 status


Docs

Add a VLAN

Operation ID: createNetworkApplianceVlan

POST /networks/{networkId}/appliance/vlans

- added the new optional request property vrf

- added the optional property adaptivePolicyGroupId to the response with the 201 status

- added the optional property vrf to the response with the 201 status


Docs

Return a VLAN

Operation ID: getNetworkApplianceVlan

GET /networks/{networkId}/appliance/vlans/{vlanId}

- added the optional property adaptivePolicyGroupId to the response with the 200 status

- added the optional property vrf to the response with the 200 status


Docs

Update a VLAN

Operation ID: updateNetworkApplianceVlan

PUT /networks/{networkId}/appliance/vlans/{vlanId}

- added the new optional request property vrf

- added the optional property adaptivePolicyGroupId to the response with the 200 status

- added the optional property vrf to the response with the 200 status


vpn

Docs

Return the site-to-site VPN settings of a network

Operation ID: getNetworkApplianceVpnSiteToSiteVpn

GET /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the optional property peerSgtCapable to the response with the 200 status


Docs

Update the site-to-site VPN settings of a network

Operation ID: updateNetworkApplianceVpnSiteToSiteVpn

PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the new optional request property peerSgtCapable

- added the optional property peerSgtCapable to the response with the 200 status


[ devices ]

appliance

Docs

Return current delegated IPv6 prefixes on an appliance.

Operation ID: getDeviceAppliancePrefixesDelegated

GET /devices/{serial}/appliance/prefixes/delegated

- added the optional property items/counts to the response with the 200 status

- added the optional property items/description to the response with the 200 status

- added the optional property items/expiresAt to the response with the 200 status

- added the optional property items/origin to the response with the 200 status

- added the optional property items/staticDelegatedPrefixId to the response with the 200 status

- added the required property items/isPreferred to the response with the 200 status

- added the required property items/method to the response with the 200 status

- added the required property items/prefix to the response with the 200 status


Docs

Return prefixes assigned to all IPv6 enabled VLANs on an appliance.

Operation ID: getDeviceAppliancePrefixesDelegatedVlanAssignments

GET /devices/{serial}/appliance/prefixes/delegated/vlanAssignments

- added the optional property items/ipv6 to the response with the 200 status

- added the optional property items/origin to the response with the 200 status

- added the optional property items/vlan to the response with the 200 status

- added the required property items/status to the response with the 200 status


cellular

PUT /devices/{serial}/cellular/uplinks/bands

- api path removed without deprecation


liveTools

POST /devices/{serial}/liveTools/cyclePort

- api path removed without deprecation


GET /devices/{serial}/liveTools/cyclePort/{id}

- api path removed without deprecation


[ organizations ]

appliance

Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- added the new optional query request parameter interfaces


Docs

List the VLANs for an Organization

Operation ID: getOrganizationApplianceVlans

GET /organizations/{organizationId}/appliance/vlans

- added the optional property items/adaptivePolicyGroupId to the response with the 200 status

- added the optional property items/vrf to the response with the 200 status


assurance

Docs

Summarizes wired connection successes and failures by network.

Operation ID: getOrganizationAssuranceWiredExperienceSuccessfulConnectionsByNetwork

GET /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork

- added the optional property items/items/items/byContributor to the response with the 200 status


devices

Docs

List cellular data management profiles in this organization

Operation ID: getOrganizationDevicesCellularDataProfiles

GET /organizations/{organizationId}/devices/cellular/data/profiles

- the response's body type/format changed from array/ to `object`/ for status 200

- for the query request parameter profileIds, the type/format of property items/ was changed from integer/ to `string`/

- deleted the query request parameter deviceSerial

- added the new optional query request parameter serials

- added the optional property items to the response with the 200 status

- added the optional property meta to the response with the 200 status


Docs

List the latest cellular geolocation telemetry for devices in an organization

Operation ID: getOrganizationDevicesCellularGeolocations

GET /organizations/{organizationId}/devices/cellular/geolocations

- the items/items/geolocation/lastReportedAt response's property type/format changed from string/`` to string/date-time for status 200

- the items/items/geolocation/latitude response's property type/format changed from string/`` to number/float for status 200

- the items/items/geolocation/longitude response's property type/format changed from string/`` to number/float for status 200


iam

POST /organizations/{organizationId}/iam/admins/administrators/me/permissions/resolve

- api path removed without deprecation


webhooks

Docs

Return the log of webhook POSTs sent

Operation ID: getOrganizationWebhooksLogs

GET /organizations/{organizationId}/webhooks/logs

- for the query request parameter timespan, the max was decreased from 2678400.00 to 2592000.00



v1.69.0-beta.3

Version v1.69.0-beta.2 to v1.69.0-beta.3


Summary of Changes

24 - New

56 - Updated

874 - Total Endpoints

594 - Total Paths



Added

[ organizations ]

assurance

Docs

Returns count of impacted wireless devices per network on a given organization and time range.

Operation ID: getOrganizationAssuranceImpactedDeviceWirelessByNetwork

PATH /organizations/{organizationId}/assurance/impactedDevice/wireless/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/impactedDevice/wireless/byNetwork



Docs

Summarizes wired connection successes and failures by network.

Operation ID: getOrganizationAssuranceWiredExperienceSuccessfulConnectionsByNetwork

PATH /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork



Docs

Time-series of wired connection successes and failures by network.

Operation ID: getOrganizationAssuranceWiredExperienceSuccessfulConnectionsByNetworkByInterval

PATH /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byInterval

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wired/experience/successfulConnections/byNetwork/byInterval



campusGateway

Docs

Returns client usage details for campus gateway clusters within an organization.

Operation ID: getOrganizationCampusGatewayClientsUsageByNetworkByCluster

PATH /organizations/{organizationId}/campusGateway/clients/usage/byNetwork/byCluster

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clients/usage/byNetwork/byCluster



devices

Docs

Operation ID: bulkOrganizationDevicesPlacementPositionsUpdate

PATH /organizations/{organizationId}/devices/placement/positions/bulkUpdate

- Path added

- New endpoint

POST /organizations/{organizationId}/devices/placement/positions/bulkUpdate



Docs

Returns details about software updates for networks within an organization.

Operation ID: getOrganizationDevicesSoftwareUpdatesOverviewsByNetwork

PATH /organizations/{organizationId}/devices/software/updates/overviews/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/software/updates/overviews/byNetwork



iam

Docs

List the authenticated caller admin's permissions for an organization

Operation ID: resolveOrganizationIamAdminsAdministratorsMePermissions

PATH /organizations/{organizationId}/iam/admins/administrators/me/permissions/resolve

- Path added

- New endpoint

POST /organizations/{organizationId}/iam/admins/administrators/me/permissions/resolve



sites

Docs

List the buildings belonging to the organization

Operation ID: getOrganizationSitesBuildings

PATH /organizations/{organizationId}/sites/buildings

- Path added

- New endpoint

GET /organizations/{organizationId}/sites/buildings



wireless

Docs

Summarize the number of wireless clients impacted by connection failures on network SSIDs, across an organization.

Operation ID: getOrganizationWirelessClientsConnectionsImpactedByNetworkBySsid

PATH /organizations/{organizationId}/wireless/clients/connections/impacted/byNetwork/bySsid

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/clients/connections/impacted/byNetwork/bySsid



Docs

Returns client usage details for wireless networks within an organization.

Operation ID: getOrganizationWirelessClientsUsageByNetwork

PATH /organizations/{organizationId}/wireless/clients/usage/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/clients/usage/byNetwork



Docs

Returns client usage details for wireless network SSIDs within an organization.

Operation ID: getOrganizationWirelessClientsUsageByNetworkBySsid

PATH /organizations/{organizationId}/wireless/clients/usage/byNetwork/bySsid

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/clients/usage/byNetwork/bySsid



Docs

Returns client usage details for SSIDs within an organization.

Operation ID: getOrganizationWirelessClientsUsageBySsid

PATH /organizations/{organizationId}/wireless/clients/usage/bySsid

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/clients/usage/bySsid



Docs

Returns the SSID profiles for an organization

Operation ID: getOrganizationWirelessSsidsProfiles

PATH /organizations/{organizationId}/wireless/ssids/profiles

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/ssids/profiles



Docs

Create a new SSID profile in an organization

Operation ID: createOrganizationWirelessSsidsProfile

PATH /organizations/{organizationId}/wireless/ssids/profiles

- Path added

- New endpoint

POST /organizations/{organizationId}/wireless/ssids/profiles



Docs

Unassigns the SSID profile assigned to an SSID

Operation ID: deleteOrganizationWirelessSsidsProfilesAssignments

PATH /organizations/{organizationId}/wireless/ssids/profiles/assignments

- Path added

- New endpoint

DELETE /organizations/{organizationId}/wireless/ssids/profiles/assignments



Docs

List the SSID profile assignments in an organization

Operation ID: getOrganizationWirelessSsidsProfilesAssignments

PATH /organizations/{organizationId}/wireless/ssids/profiles/assignments

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/ssids/profiles/assignments



Docs

Assigns an SSID profile to an SSID in the organization

Operation ID: createOrganizationWirelessSsidsProfilesAssignment

PATH /organizations/{organizationId}/wireless/ssids/profiles/assignments

- Path added

- New endpoint

POST /organizations/{organizationId}/wireless/ssids/profiles/assignments



Docs

List the SSID profile assignments in an organization, grouped by network

Operation ID: getOrganizationWirelessSsidsProfilesAssignmentsByNetwork

PATH /organizations/{organizationId}/wireless/ssids/profiles/assignments/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/ssids/profiles/assignments/byNetwork



Docs

Returns the SSID profiles' overview information for an organization

Operation ID: getOrganizationWirelessSsidsProfilesOverviews

PATH /organizations/{organizationId}/wireless/ssids/profiles/overviews

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/ssids/profiles/overviews



Docs

Delete an SSID profile

Operation ID: deleteOrganizationWirelessSsidsProfile

PATH /organizations/{organizationId}/wireless/ssids/profiles/{id}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/wireless/ssids/profiles/{id}



Docs

Update this SSID profile

Operation ID: updateOrganizationWirelessSsidsProfile

PATH /organizations/{organizationId}/wireless/ssids/profiles/{id}

- Path added

- New endpoint

PUT /organizations/{organizationId}/wireless/ssids/profiles/{id}



[ sites ]

buildings

Docs

Create a new building

Operation ID: createNetworkSitesBuilding

PATH /networks/{networkId}/sites/buildings

- Path added

- New endpoint

POST /networks/{networkId}/sites/buildings



Docs

Delete a building

Operation ID: deleteNetworkSitesBuilding

PATH /networks/{networkId}/sites/buildings/{buildingId}

- Path added

- New endpoint

DELETE /networks/{networkId}/sites/buildings/{buildingId}



Docs

Update a building

Operation ID: updateNetworkSitesBuilding

PATH /networks/{networkId}/sites/buildings/{buildingId}

- Path added

- New endpoint

PUT /networks/{networkId}/sites/buildings/{buildingId}



Changed

[ appliance ]

firewall

Docs

Return the L3 firewall rules for an MX network

Operation ID: getNetworkApplianceFirewallL3FirewallRules

GET /networks/{networkId}/appliance/firewall/l3FirewallRules

- added the optional property rules to the response with the 200 status


Docs

Update the L3 firewall rules of an MX network

Operation ID: updateNetworkApplianceFirewallL3FirewallRules

PUT /networks/{networkId}/appliance/firewall/l3FirewallRules

- added the optional property rules to the response with the 200 status


prefixes

Docs

List static delegated prefixes for a network

Operation ID: getNetworkAppliancePrefixesDelegatedStatics

GET /networks/{networkId}/appliance/prefixes/delegated/statics

- the response property /items/description became nullable for the status 200


Docs

Add a static delegated prefix from a network

Operation ID: createNetworkAppliancePrefixesDelegatedStatic

POST /networks/{networkId}/appliance/prefixes/delegated/statics

- added the optional property createdAt to the response with the 201 status

- added the optional property description to the response with the 201 status

- added the optional property origin to the response with the 201 status

- added the optional property prefix to the response with the 201 status

- added the optional property staticDelegatedPrefixId to the response with the 201 status

- added the optional property updatedAt to the response with the 201 status


Docs

Delete a static delegated prefix from a network

Operation ID: deleteNetworkAppliancePrefixesDelegatedStatic

DELETE /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}

- added the media type application/json for the response with the status 204


Docs

Return a static delegated prefix from a network

Operation ID: getNetworkAppliancePrefixesDelegatedStatic

GET /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}

- the response property description became nullable for the status 200


Docs

Update a static delegated prefix from a network

Operation ID: updateNetworkAppliancePrefixesDelegatedStatic

PUT /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}

- added the optional property createdAt to the response with the 200 status

- added the optional property description to the response with the 200 status

- added the optional property origin to the response with the 200 status

- added the optional property prefix to the response with the 200 status

- added the optional property staticDelegatedPrefixId to the response with the 200 status

- added the optional property updatedAt to the response with the 200 status


staticRoutes

Docs

Add a static route for an MX or teleworker network

Operation ID: createNetworkApplianceStaticRoute

POST /networks/{networkId}/appliance/staticRoutes

- the gatewayVlanId request property type/format changed from string/ to `integer`/

- the gatewayVlanId request property's max was set to 4094.00

- the gatewayVlanId request property's min was set to 0.00


Docs

Update a static route for an MX or teleworker network

Operation ID: updateNetworkApplianceStaticRoute

PUT /networks/{networkId}/appliance/staticRoutes/{staticRouteId}

- the gatewayVlanId request property type/format changed from string/ to `integer`/

- the gatewayVlanId request property's max was set to 4094.00

- the gatewayVlanId request property's min was set to 0.00


[ clients ]

general

Docs

Return the client associated with the given identifier

Operation ID: getNetworkClient

GET /networks/{networkId}/clients/{clientId}

- added the optional property recentDeviceId to the response with the 200 status


[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: updateDeviceApplianceInterfacesPort

PUT /devices/{serial}/appliance/interfaces/ports/{number}

- added the new optional request property downlink

- added the optional property interface to the response with the 200 status

- added the optional property personality/layer to the response with the 200 status


Docs

Operation ID: getDeviceApplianceUplinksSettings

GET /devices/{serial}/appliance/uplinks/settings

- added the optional property interfaces/wan1/transition to the response with the 200 status

- added the optional property interfaces/wan2/transition to the response with the 200 status


Docs

Operation ID: updateDeviceApplianceUplinksSettings

PUT /devices/{serial}/appliance/uplinks/settings

- added the new optional request property interfaces/wan1/transition

- added the new optional request property interfaces/wan2/transition

- added the optional property interfaces/wan1/transition to the response with the 200 status

- added the optional property interfaces/wan2/transition to the response with the 200 status


liveTools

Docs

Return an OSPF neighbors live tool job.

Operation ID: getDeviceLiveToolsOspfNeighbor

GET /devices/{serial}/liveTools/ospfNeighbors/{ospfNeighborsId}

- added the optional property routers/items/interfaceName to the response with the 200 status


switch

Docs

List layer 3 interfaces for a switch

Operation ID: getDeviceSwitchRoutingInterfaces

GET /devices/{serial}/switch/routing/interfaces

- added the optional property /items/mtu to the response with the 200 status


Docs

Create a layer 3 interface for a switch

Operation ID: createDeviceSwitchRoutingInterface

POST /devices/{serial}/switch/routing/interfaces

- added the new optional request property mtu

- added the optional property mtu to the response with the 201 status


Docs

Return a layer 3 interface for a switch

Operation ID: getDeviceSwitchRoutingInterface

GET /devices/{serial}/switch/routing/interfaces/{interfaceId}

- added the optional property mtu to the response with the 200 status


Docs

Update a layer 3 interface for a switch

Operation ID: updateDeviceSwitchRoutingInterface

PUT /devices/{serial}/switch/routing/interfaces/{interfaceId}

- added the new optional request property mtu

- added the optional property mtu to the response with the 200 status


wireless

Docs

Return the position for a wireless device

Operation ID: getDeviceWirelessRadioAfcPosition

GET /devices/{serial}/wireless/radio/afc/position

- added the optional property height/aboveFloor to the response with the 200 status


Docs

Update the position attributes for this device

Operation ID: updateDeviceWirelessRadioAfcPosition

PUT /devices/{serial}/wireless/radio/afc/position

- added the new optional request property height/aboveFloor

- added the optional property height/aboveFloor to the response with the 200 status


[ floorPlans ]

general

Docs

List the floor plans that belong to your network

Operation ID: getNetworkFloorPlans

GET /networks/{networkId}/floorPlans

- added the optional property /items/buildingId to the response with the 200 status

- added the optional property /items/devices/items/height to the response with the 200 status


Docs

Upload a floor plan

Operation ID: createNetworkFloorPlan

POST /networks/{networkId}/floorPlans

- added the new optional request property buildingId

- added the optional property buildingId to the response with the 201 status

- added the optional property devices/items/height to the response with the 201 status


Docs

Destroy a floor plan

Operation ID: deleteNetworkFloorPlan

DELETE /networks/{networkId}/floorPlans/{floorPlanId}

- added the optional property buildingId to the response with the 204 status

- added the optional property devices/items/height to the response with the 204 status


Docs

Find a floor plan by ID

Operation ID: getNetworkFloorPlan

GET /networks/{networkId}/floorPlans/{floorPlanId}

- added the optional property buildingId to the response with the 200 status

- added the optional property devices/items/height to the response with the 200 status


Docs

Update a floor plan's geolocation and other meta data

Operation ID: updateNetworkFloorPlan

PUT /networks/{networkId}/floorPlans/{floorPlanId}

- added the new optional request property buildingId

- added the optional property buildingId to the response with the 200 status

- added the optional property devices/items/height to the response with the 200 status


[ organizations ]

appliance

Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- added the optional property items/items/ports/items/interface to the response with the 200 status

- added the optional property items/items/ports/items/personality/layer to the response with the 200 status


assurance

Docs

Given a client, return current topology

Operation ID: getOrganizationAssuranceClientsTopologyNew

GET /organizations/{organizationId}/assurance/clients/topology/new

- added the optional property /items/items/items/topology/path/items/isAurora2 to the response with the 200 status


Docs

Returns the top wireless service-level insights for the specified time window, including each network and the impacted client count per metric.

Operation ID: getOrganizationAssuranceWirelessExperienceClientsInsights

GET /organizations/{organizationId}/assurance/wireless/experience/clients/insights

- added the new coverage enum value to the items/items/metric/name response property for the response status 200


Docs

Summarizes wireless connection successes and failures by client.

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectsByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnects/byNetwork/byClient

- removed the optional property /items/items/items/connections from the response with the 200 status


Docs

Summarizes wireless connection successes and failures by device.

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectsByNetworkByDevice

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnects/byNetwork/byDevice

- removed the optional property /items/items/items/connections from the response with the 200 status


Docs

Summarizes wireless connection successes and failures by ssid.

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectsByNetworkBySsid

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnects/byNetwork/bySsid

- removed the optional property /items/items/items/connections from the response with the 200 status


Docs

Summarizes wireless time to connect metrics by client.

Operation ID: getOrganizationAssuranceWirelessExperienceTimeToConnectByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/timeToConnect/byNetwork/byClient

- removed the optional property /items/items/items/connections from the response with the 200 status


Docs

Summarizes wireless connection time to connect metrics by device.

Operation ID: getOrganizationAssuranceWirelessExperienceTimeToConnectByNetworkByDevice

GET /organizations/{organizationId}/assurance/wireless/experience/timeToConnect/byNetwork/byDevice

- removed the optional property /items/items/items/connections from the response with the 200 status


Docs

Summarizes wireless connection time to connect metrics by ssid.

Operation ID: getOrganizationAssuranceWirelessExperienceTimeToConnectByNetworkBySsid

GET /organizations/{organizationId}/assurance/wireless/experience/timeToConnect/byNetwork/bySsid

- removed the optional property /items/items/items/connections from the response with the 200 status


inventory

POST /organizations/{organizationId}/inventory/onboarding/cloudMonitoring/exportEvents

- api path removed with deprecation


GET /organizations/{organizationId}/inventory/onboarding/cloudMonitoring/imports

- api path removed with deprecation


POST /organizations/{organizationId}/inventory/onboarding/cloudMonitoring/imports

- api path removed with deprecation


GET /organizations/{organizationId}/inventory/onboarding/cloudMonitoring/networks

- api path removed with deprecation


POST /organizations/{organizationId}/inventory/onboarding/cloudMonitoring/prepare

- api path removed with deprecation


sase

POST /organizations/{organizationId}/sase/connectors/batchCreate

- api path removed without deprecation


wireless

Docs

Returns the current Air Marshal rules for this organization

Operation ID: getOrganizationWirelessAirMarshalRules

GET /organizations/{organizationId}/wireless/airMarshal/rules

- the endpoint scheme security oauth2 was added to the API


Docs

List access point client count at the moment in an organization

Operation ID: getOrganizationWirelessClientsOverviewByDevice

GET /organizations/{organizationId}/wireless/clients/overview/byDevice

- the endpoint scheme security oauth2 was added to the API


Docs

Show the by-network client information for the organization in the given interval

Operation ID: byOrganizationWirelessClientsRfHealthOverviewNetwork

GET /organizations/{organizationId}/wireless/clients/rfHealth/overview/byNetwork

- the endpoint scheme security oauth2 was added to the API


Docs

Get average packet loss for the given timespan for all networks in the organization.

Operation ID: getOrganizationWirelessDevicesPacketLossByNetwork

GET /organizations/{organizationId}/wireless/devices/packetLoss/byNetwork

- the endpoint scheme security oauth2 was added to the API


Docs

Return the CPU Load history for a list of wireless devices in the organization.

Operation ID: getOrganizationWirelessDevicesSystemCpuLoadHistory

GET /organizations/{organizationId}/wireless/devices/system/cpu/load/history

- the endpoint scheme security oauth2 was added to the API


Docs

List the AFC power limits of an organization by device

Operation ID: getOrganizationWirelessRadioAfcPositionByDevice

GET /organizations/{organizationId}/wireless/radio/afc/position/byDevice

- added the optional property /items/height/aboveFloor to the response with the 200 status


Docs

List the RF profiles of an organization by device

Operation ID: getOrganizationWirelessRfProfilesAssignmentsByDevice

GET /organizations/{organizationId}/wireless/rfProfiles/assignments/byDevice

- the endpoint scheme security oauth2 was added to the API


[ switch ]

stacks

Docs

List layer 3 interfaces for a switch stack

Operation ID: getNetworkSwitchStackRoutingInterfaces

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces

- added the optional property /items/mtu to the response with the 200 status


Docs

Create a layer 3 interface for a switch stack

Operation ID: createNetworkSwitchStackRoutingInterface

POST /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces

- added the new optional request property mtu

- added the optional property mtu to the response with the 201 status


Docs

Return a layer 3 interface from a switch stack

Operation ID: getNetworkSwitchStackRoutingInterface

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}

- added the optional property mtu to the response with the 200 status


Docs

Update a layer 3 interface for a switch stack

Operation ID: updateNetworkSwitchStackRoutingInterface

PUT /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}

- added the new optional request property mtu

- added the optional property mtu to the response with the 200 status


[ wireless ]

clients

Docs

Fetch the health scores for all clients on this network

Operation ID: getNetworkWirelessClientsHealthScores

GET /networks/{networkId}/wireless/clients/healthScores

- the endpoint scheme security oauth2 was added to the API


Docs

Return counts of distinct wireless clients connecting to a network over time

Operation ID: getNetworkWirelessClientsOnboardingHistory

GET /networks/{networkId}/wireless/clients/onboardingHistory

- the endpoint scheme security oauth2 was added to the API


ssids

Docs

List the MR SSIDs in a network

Operation ID: getNetworkWirelessSsids

GET /networks/{networkId}/wireless/ssids

- added the optional property /items/psk to the response with the 200 status


Docs

Return a single MR SSID

Operation ID: getNetworkWirelessSsid

GET /networks/{networkId}/wireless/ssids/{number}

- added the optional property psk to the response with the 200 status


Docs

Update the attributes of an MR SSID

Operation ID: updateNetworkWirelessSsid

PUT /networks/{networkId}/wireless/ssids/{number}

- added the new optional request property campusGateway

- added the optional property psk to the response with the 200 status



v1.69.0-beta.2

Version v1.69.0-beta.1 to v1.69.0-beta.2


Summary of Changes

31 - New

46 - Updated

881 - Total Endpoints

599 - Total Paths



Added

[ organizations ]

api

Docs

List pipeline IDs for the organization, with optional status and timespan filtering

Operation ID: getOrganizationApiRestProvisioningPipelines

PATH /organizations/{organizationId}/api/rest/provisioning/pipelines

- Path added

- New endpoint

GET /organizations/{organizationId}/api/rest/provisioning/pipelines



assurance

Docs

Summarizes wireless post connection capacity successes and failures by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetwork

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork



Docs

Summarizes wireless post connection capacity successes and failures by band.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByBand

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byBand

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byBand



Docs

Summarizes wireless post connection capacity successes and failures by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByClient

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClient

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClient



Docs

Summarizes wireless post connection capacity successes and failures by client OS.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByClientOs

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClientOs

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClientOs



Docs

Summarizes wireless post connection capacity successes and failures by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByClientType

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClientType

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byClientType



Docs

Summarizes wireless post connection capacity successes and failures by device.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByDevice

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byDevice



Docs

Time-series of wireless post connection capacity successes and failures by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkByInterval

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byInterval

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/byInterval



Docs

Summarizes wireless post connection capacity successes and failures by ssid.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityByNetworkBySsid

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/bySsid

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/byNetwork/bySsid



Docs

Provides insights into wireless capacity experience by network.

Operation ID: getOrganizationAssuranceWirelessExperienceChannelAvailabilityInsightsByNetwork

PATH /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/insights/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/assurance/wireless/experience/channelAvailability/insights/byNetwork



devices

Docs

Provides devices that are available to be assigned to a given Cellular Data Management Profile

Operation ID: getOrganizationDevicesCellularDataDevices

PATH /organizations/{organizationId}/devices/cellular/data/devices

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/cellular/data/devices



Docs

Listing of Cellular Data Management Profiles for the organization.

Operation ID: getOrganizationDevicesCellularDataProfiles

PATH /organizations/{organizationId}/devices/cellular/data/profiles

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/cellular/data/profiles



Docs

Add a Cellular Data Management Profile to the organization.

Operation ID: createOrganizationDevicesCellularDataProfile

PATH /organizations/{organizationId}/devices/cellular/data/profiles

- Path added

- New endpoint

POST /organizations/{organizationId}/devices/cellular/data/profiles



Docs

List assignments

Operation ID: getOrganizationDevicesCellularDataProfilesAssignments

PATH /organizations/{organizationId}/devices/cellular/data/profiles/assignments

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/cellular/data/profiles/assignments



Docs

Assign a Cellular Data Management Profile to devices

Operation ID: bulkOrganizationDevicesCellularDataProfilesAssignmentsCreate

PATH /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkCreate

- Path added

- New endpoint

POST /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkCreate



Docs

Unassign a Cellular Data Management Profile from devices

Operation ID: bulkOrganizationDevicesCellularDataProfilesAssignmentsDelete

PATH /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkDelete

- Path added

- New endpoint

POST /organizations/{organizationId}/devices/cellular/data/profiles/assignments/bulkDelete



Docs

Delete a Cellular Data Management Profile from the organization.

Operation ID: deleteOrganizationDevicesCellularDataProfile

PATH /organizations/{organizationId}/devices/cellular/data/profiles/{profileId}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/devices/cellular/data/profiles/{profileId}



Docs

Update a Cellular Data Management Profile

Operation ID: updateOrganizationDevicesCellularDataProfile

PATH /organizations/{organizationId}/devices/cellular/data/profiles/{profileId}

- Path added

- New endpoint

PUT /organizations/{organizationId}/devices/cellular/data/profiles/{profileId}



Docs

Provides current usage statistics for devices in the organization

Operation ID: getOrganizationDevicesCellularDataUsageByDevice

PATH /organizations/{organizationId}/devices/cellular/data/usage/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/cellular/data/usage/byDevice



Docs

Provides the cellular data usage history per device and per SIM.

Operation ID: getOrganizationDevicesCellularDataUsageHistoryByDeviceByInterval

PATH /organizations/{organizationId}/devices/cellular/data/usage/history/byDevice/byInterval

- Path added

- New endpoint

GET /organizations/{organizationId}/devices/cellular/data/usage/history/byDevice/byInterval



nac

Docs

Get all known clients for the organization

Operation ID: getOrganizationNacClients

PATH /organizations/{organizationId}/nac/clients

- Path added

- New endpoint

GET /organizations/{organizationId}/nac/clients



Docs

Create a client for the organization

Operation ID: createOrganizationNacClient

PATH /organizations/{organizationId}/nac/clients

- Path added

- New endpoint

POST /organizations/{organizationId}/nac/clients



Docs

Delete existing client(s) for the organization

Operation ID: bulkOrganizationNacClientsDelete

PATH /organizations/{organizationId}/nac/clients/bulkDelete

- Path added

- New endpoint

POST /organizations/{organizationId}/nac/clients/bulkDelete



Docs

Bulk Update of existing clients for the organization

Operation ID: createOrganizationNacClientsBulkEdit

PATH /organizations/{organizationId}/nac/clients/bulkEdit

- Path added

- New endpoint

POST /organizations/{organizationId}/nac/clients/bulkEdit



Docs

Bulk upload of clients, client groups and their associations for the organization

Operation ID: createOrganizationNacClientsBulkUpload

PATH /organizations/{organizationId}/nac/clients/bulkUpload

- Path added

- New endpoint

POST /organizations/{organizationId}/nac/clients/bulkUpload



Docs

Get all known client groups for the organization

Operation ID: getOrganizationNacClientsGroups

PATH /organizations/{organizationId}/nac/clients/groups

- Path added

- New endpoint

GET /organizations/{organizationId}/nac/clients/groups



Docs

Create a client group for the organization

Operation ID: createOrganizationNacClientsGroup

PATH /organizations/{organizationId}/nac/clients/groups

- Path added

- New endpoint

POST /organizations/{organizationId}/nac/clients/groups



Docs

Delete an existing client group for the organization

Operation ID: deleteOrganizationNacClientsGroup

PATH /organizations/{organizationId}/nac/clients/groups/{groupId}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/nac/clients/groups/{groupId}



Docs

Update an existing client group for the organization with bulk member operations

Operation ID: updateOrganizationNacClientsGroup

PATH /organizations/{organizationId}/nac/clients/groups/{groupId}

- Path added

- New endpoint

PUT /organizations/{organizationId}/nac/clients/groups/{groupId}



Docs

Get overview data for all known clients for the organization

Operation ID: getOrganizationNacClientsOverview

PATH /organizations/{organizationId}/nac/clients/overview

- Path added

- New endpoint

GET /organizations/{organizationId}/nac/clients/overview



Docs

Update an existing client for the organization

Operation ID: updateOrganizationNacClient

PATH /organizations/{organizationId}/nac/clients/{clientId}

- Path added

- New endpoint

PUT /organizations/{organizationId}/nac/clients/{clientId}



Changed

[ appliance ]

firewall

Docs

Return the cellular firewall rules for an MX network

Operation ID: getNetworkApplianceFirewallCellularFirewallRules

GET /networks/{networkId}/appliance/firewall/cellularFirewallRules

- added the optional property rules to the response with the 200 status


Docs

Update the cellular firewall rules of an MX network

Operation ID: updateNetworkApplianceFirewallCellularFirewallRules

PUT /networks/{networkId}/appliance/firewall/cellularFirewallRules

- added the optional property rules to the response with the 200 status


Docs

Return the inbound firewall rules for an MX network

Operation ID: getNetworkApplianceFirewallInboundFirewallRules

GET /networks/{networkId}/appliance/firewall/inboundFirewallRules

- the endpoint scheme security oauth2 was added to the API


Docs

Return the 1:Many NAT mapping rules for an MX network

Operation ID: getNetworkApplianceFirewallOneToManyNatRules

GET /networks/{networkId}/appliance/firewall/oneToManyNatRules

- added the optional property rules to the response with the 200 status


Docs

Set the 1:Many NAT mapping rules for an MX network

Operation ID: updateNetworkApplianceFirewallOneToManyNatRules

PUT /networks/{networkId}/appliance/firewall/oneToManyNatRules

- added the optional property rules to the response with the 200 status


Docs

Return the 1:1 NAT mapping rules for an MX network

Operation ID: getNetworkApplianceFirewallOneToOneNatRules

GET /networks/{networkId}/appliance/firewall/oneToOneNatRules

- added the optional property rules to the response with the 200 status


Docs

Set the 1:1 NAT mapping rules for an MX network

Operation ID: updateNetworkApplianceFirewallOneToOneNatRules

PUT /networks/{networkId}/appliance/firewall/oneToOneNatRules

- added the optional property rules to the response with the 200 status


sdwan

Docs

Update SDWAN internet traffic preferences for an MX network

Operation ID: updateNetworkApplianceSdwanInternetPolicies

PUT /networks/{networkId}/appliance/sdwan/internetPolicies

- the endpoint scheme security oauth2 was added to the API


trafficShaping

Docs

Operation ID: updateNetworkApplianceTrafficShapingUplinkBandwidth

PUT /networks/{networkId}/appliance/trafficShaping/uplinkBandwidth

- added the optional property bandwidthLimits to the response with the 200 status


[ camera ]

qualityRetentionProfiles

Docs

Creates new quality retention profile for this network.

Operation ID: createNetworkCameraQualityRetentionProfile

POST /networks/{networkId}/camera/qualityRetentionProfiles

- added the new optional request property videoSettings/MV44X


Docs

Update an existing quality retention profile for this network.

Operation ID: updateNetworkCameraQualityRetentionProfile

PUT /networks/{networkId}/camera/qualityRetentionProfiles/{qualityRetentionProfileId}

- added the new optional request property videoSettings/MV44X


[ organizations ]

appliance

Docs

Operation ID: getOrganizationApplianceUplinksStatusesOverview

GET /organizations/{organizationId}/appliance/uplinks/statuses/overview

- the endpoint scheme security oauth2 was added to the API


Docs

Return the third party VPN peers for an organization

Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers

GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the optional property peers/items/ebgpNeighbor/receiveLimit to the response with the 200 status


Docs

Update the third party VPN peers for an organization

Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers

PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the optional property peers/items/ebgpNeighbor/receiveLimit to the response with the 200 status


assurance

Docs

Return all health alerts for an organization

Operation ID: getOrganizationAssuranceAlerts

GET /organizations/{organizationId}/assurance/alerts

- added the required property /items/network/url to the response with the 200 status


Docs

Return overview of active health alerts for an organization

Operation ID: getOrganizationAssuranceAlertsOverview

GET /organizations/{organizationId}/assurance/alerts/overview

- the endpoint scheme security oauth2 was added to the API


Docs

Return a Summary of Alerts grouped by type and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByType

GET /organizations/{organizationId}/assurance/alerts/overview/byType

- the endpoint scheme security oauth2 was added to the API


Docs

Return a singular Health Alert by its id

Operation ID: getOrganizationAssuranceAlert

GET /organizations/{organizationId}/assurance/alerts/{id}

- added the required property network/url to the response with the 200 status


Docs

Given a client, return current topology

Operation ID: getOrganizationAssuranceClientsTopologyCurrent

GET /organizations/{organizationId}/assurance/clients/topology/current

- the endpoint scheme security oauth2 was added to the API


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byBand

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byClient

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byClientOs

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byClientType

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byDevice

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/byInterval

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/byNetwork/bySsid

- api path removed without deprecation


GET /organizations/{organizationId}/assurance/wireless/experience/capacity/insights/byNetwork

- api path removed without deprecation


Docs

Summarizes wireless coverage successes and failures by client.

Operation ID: getOrganizationAssuranceWirelessExperienceCoverageByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/coverage/byNetwork/byClient

- added the optional property /items/items/items/client/username to the response with the 200 status


Docs

Provides insights into wireless coverage experience by network.

Operation ID: getOrganizationAssuranceWirelessExperienceCoverageInsightsByNetwork

GET /organizations/{organizationId}/assurance/wireless/experience/coverage/insights/byNetwork

- removed the optional property /items/items/items/insights/items/entities/items/excessFailures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/failures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/relativeRisk from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/uncertaintyExplainedPercent from the response with the 200 status


Docs

Summarizes wireless connection successes and failures by client.

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectsByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnects/byNetwork/byClient

- added the optional property /items/items/items/client/name to the response with the 200 status

- added the optional property /items/items/items/client/username to the response with the 200 status


Docs

Provides insights into wireless successful connects experience by network.

Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectsInsightsByNetwork

GET /organizations/{organizationId}/assurance/wireless/experience/successfulConnects/insights/byNetwork

- removed the optional property /items/items/items/insights/items/entities/items/excessFailures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/failures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/relativeRisk from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/serverHealth from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/uncertaintyExplainedPercent from the response with the 200 status


Docs

Summarizes wireless time to connect metrics by client.

Operation ID: getOrganizationAssuranceWirelessExperienceTimeToConnectByNetworkByClient

GET /organizations/{organizationId}/assurance/wireless/experience/timeToConnect/byNetwork/byClient

- added the optional property /items/items/items/client/name to the response with the 200 status

- added the optional property /items/items/items/client/username to the response with the 200 status


Docs

Provides insights into wireless time to connect experience by network.

Operation ID: getOrganizationAssuranceWirelessExperienceTimeToConnectInsightsByNetwork

GET /organizations/{organizationId}/assurance/wireless/experience/timeToConnect/insights/byNetwork

- removed the optional property /items/items/items/insights/items/entities/items/excessFailures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/failures from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/relativeRisk from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/serverHealth from the response with the 200 status

- removed the optional property /items/items/items/insights/items/entities/items/uncertaintyExplainedPercent from the response with the 200 status


Docs

Return workflows filtered by organization ID, network ID, type, and category

Operation ID: getOrganizationAssuranceWorkflows

GET /organizations/{organizationId}/assurance/workflows

- the endpoint scheme security oauth2 was added to the API


devices

Docs

Enqueues a task for a specific packet capture

Operation ID: tasksOrganizationDevicesPacketCapture

POST /organizations/{organizationId}/devices/packetCaptures/{packetId}/tasks

- the security scope dashboard:general:telemetry:write was added to the endpoint's security scheme oauth2

- the security scope dashboard:general:telemetry:packetcapture:read was removed from the endpoint's security scheme oauth2


Docs

Retrieves packet capture analysis result for a specific packet capture task.

Operation ID: getOrganizationDevicesPacketCaptureTask

GET /organizations/{organizationId}/devices/packetCaptures/{packetId}/tasks/{id}

- the security scope dashboard:general:telemetry:read was added to the endpoint's security scheme oauth2

- the security scope dashboard:general:telemetry:packetcapture:read was removed from the endpoint's security scheme oauth2


inventory

Docs

Return the device inventory for an organization

Operation ID: getOrganizationInventoryDevices

GET /organizations/{organizationId}/inventory/devices

- added the optional property /items/sku to the response with the 200 status


Docs

Return a single device from the inventory of an organization

Operation ID: getOrganizationInventoryDevice

GET /organizations/{organizationId}/inventory/devices/{serial}

- added the optional property sku to the response with the 200 status


Docs

Preview the results and status of an order claim by the secure order id

Operation ID: previewOrganizationInventoryOrders

POST /organizations/{organizationId}/inventory/orders/preview

- added the optional property resolution to the response with the 200 status


switch

Docs

List the port profiles in an organization

Operation ID: getOrganizationSwitchPortsProfiles

GET /organizations/{organizationId}/switch/ports/profiles

- the /items/counts/assigned/automations response's property type/format changed from integer/ to `object`/ for status 200

- the /items/counts/assigned/ports response's property type/format changed from integer/ to `object`/ for status 200

- removed the optional property /items/counts/assigned/switches from the response with the 200 status

- removed the optional property /items/counts/networkCounts from the response with the 200 status

- added the optional property /items/counts/assigned/automations/total to the response with the 200 status

- added the optional property /items/counts/assigned/devices to the response with the 200 status

- added the optional property /items/counts/assigned/ports/byProductType to the response with the 200 status

- added the optional property /items/counts/assigned/ports/total to the response with the 200 status

- added the optional property /items/counts/networks to the response with the 200 status


Docs

List the port profiles in an organization

Operation ID: getOrganizationSwitchPortsProfilesOverviewByProfile

GET /organizations/{organizationId}/switch/ports/profiles/overview/byProfile

- the /items/items/items/counts/assigned/automations response's property type/format changed from integer/ to `object`/ for status 200

- the /items/items/items/counts/assigned/ports response's property type/format changed from integer/ to `object`/ for status 200

- removed the optional property /items/items/items/counts/assigned/switches from the response with the 200 status

- removed the optional property /items/items/items/counts/networkCounts from the response with the 200 status

- added the optional property /items/items/items/counts/assigned/automations/total to the response with the 200 status

- added the optional property /items/items/items/counts/assigned/devices to the response with the 200 status

- added the optional property /items/items/items/counts/assigned/ports/byProductType to the response with the 200 status

- added the optional property /items/items/items/counts/assigned/ports/total to the response with the 200 status

- added the optional property /items/items/items/counts/networks to the response with the 200 status


Docs

Returns Spanning Tree configuration settings

Operation ID: getOrganizationSwitchSpanningTree

GET /organizations/{organizationId}/switch/spanningTree

- deleted the query request parameter networkId

- removed the optional property enabled from the response with the 200 status

- removed the optional property mode from the response with the 200 status

- removed the optional property priorities from the response with the 200 status

- added the new optional query request parameter endingBefore

- added the new optional query request parameter networkIds

- added the new optional query request parameter perPage

- added the new optional query request parameter startingAfter

- added the optional property items to the response with the 200 status

- added the optional property meta to the response with the 200 status


[ switch ]

spanningTree

Docs

Updates Spanning Tree configuration

Operation ID: updateNetworkSwitchSpanningTree

PUT /networks/{networkId}/switch/spanningTree

- added the optional property networkId to the response with the 200 status


[ traffic ]

general

Docs

Return the traffic analysis data for this network

Operation ID: getNetworkTraffic

GET /networks/{networkId}/traffic

- the endpoint scheme security oauth2 was added to the API


[ trafficShaping ]

applicationCategories

Docs

Returns the application categories for traffic shaping rules

Operation ID: getNetworkTrafficShapingApplicationCategories

GET /networks/{networkId}/trafficShaping/applicationCategories

- added the optional property applicationCategories to the response with the 200 status



v1.69.0-beta.1

Version v1.69.0-beta.0 to v1.69.0-beta.1


Summary of Changes

6 - New

14 - Updated

856 - Total Endpoints

582 - Total Paths



Added

[ appliance ]

devices

Docs

Update MX warm spare settings

Operation ID: updateNetworkApplianceDevicesRedundancy

PATH /networks/{networkId}/appliance/devices/redundancy

- Path added

- New endpoint

PUT /networks/{networkId}/appliance/devices/redundancy



Docs

Swap MX primary and warm spare appliances

Operation ID: createNetworkApplianceDevicesRedundancySwap

PATH /networks/{networkId}/appliance/devices/redundancy/swap

- Path added

- New endpoint

POST /networks/{networkId}/appliance/devices/redundancy/swap



[ devices ]

liveTools

Docs

Enqueue a job to retrieve port status for a device

Operation ID: createDeviceLiveToolsPortStatus

PATH /devices/{serial}/liveTools/portStatus

- Path added

- New endpoint

POST /devices/{serial}/liveTools/portStatus



Docs

Return a port status live tool job.

Operation ID: getDeviceLiveToolsPortStatus

PATH /devices/{serial}/liveTools/portStatus/{portStatusId}

- Path added

- New endpoint

GET /devices/{serial}/liveTools/portStatus/{portStatusId}



[ organizations ]

appliance

Docs

Return MX warm spare settings

Operation ID: getOrganizationApplianceDevicesRedundancyByNetwork

PATH /organizations/{organizationId}/appliance/devices/redundancy/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/devices/redundancy/byNetwork



wireless

Docs

Get sticky client events within the specified timespan.

Operation ID: getOrganizationWirelessClientsStickyEvents

PATH /organizations/{organizationId}/wireless/clients/stickyEvents

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/clients/stickyEvents



Changed

[ appliance ]

contentFiltering

Docs

List all available content filtering categories for an MX network

Operation ID: getNetworkApplianceContentFilteringCategories

GET /networks/{networkId}/appliance/contentFiltering/categories

- added the optional property 'categories' to the response with the '200' status


umbrella

Docs

Remove one umbrella policy from your network.

Operation ID: removeNetworkApplianceUmbrellaPolicies

DELETE /networks/{networkId}/appliance/umbrella/policies/remove

- removed the success response with the status '200'

- added the success response with the status '204'


[ organizations ]

assurance

Docs

Return a Summary of Alerts grouped by type and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByType

GET /organizations/{organizationId}/assurance/alerts/overview/byType

- added the new optional 'query' request parameter 'includeDeviceTags'

- added the new optional 'query' request parameter 'includeNetworks'

- added the required property 'items/items/categoryType' to the response with the '200' status

- added the required property 'items/items/deviceTags' to the response with the '200' status

- added the required property 'items/items/deviceTypes' to the response with the '200' status

- added the required property 'items/items/lastAlertedAt' to the response with the '200' status

- added the required property 'items/items/networkCount' to the response with the '200' status

- added the required property 'items/items/networks' to the response with the '200' status

- added the required property 'items/items/severity' to the response with the '200' status


Docs

Returns counts of online, offline, and recovered devices by product type, along with offline intervals for impacted devices in the organization.

Operation ID: getOrganizationAssuranceDevicesStatusesOverview

GET /organizations/{organizationId}/assurance/devices/statuses/overview

- for the 'query' request parameter 'timespan', the max was increased from '604800.00' to '1209600.00'

- for the 'query' request parameter 'timespan', the min was decreased from '3600.00' to '900.00'


Docs

Returns organization wireless experience metrics overview grouped by network.

Operation ID: getOrganizationAssuranceWirelessExperienceMetricsOverviewHistoryByNetwork

GET /organizations/{organizationId}/assurance/wireless/experience/metrics/overview/history/byNetwork

- added the optional property 'items/items/wirelessCoverage' to the response with the '200' status


switch

Docs

Create a port profile in an organization

Operation ID: createOrganizationSwitchPortsProfile

POST /organizations/{organizationId}/switch/ports/profiles

- added the new optional request property 'authentication'

- added the optional property 'authentication' to the response with the '200' status


Docs

Get detailed information about a port profile

Operation ID: getOrganizationSwitchPortsProfile

GET /organizations/{organizationId}/switch/ports/profiles/{id}

- added the optional property 'authentication' to the response with the '200' status


Docs

Update a port profile in an organization

Operation ID: updateOrganizationSwitchPortsProfile

PUT /organizations/{organizationId}/switch/ports/profiles/{id}

- added the new optional request property 'authentication'

- added the optional property 'authentication' to the response with the '200' status


wireless

Docs

List the wireless device telemetry of an organization

Operation ID: getOrganizationWirelessDevicesTelemetry

GET /organizations/{organizationId}/wireless/devices/telemetry

- the endpoint scheme security 'oauth2' was added to the API


[ switch ]

ports

Docs

List the port profiles in a network

Operation ID: getNetworkSwitchPortsProfiles

GET /networks/{networkId}/switch/ports/profiles

- added the optional property '/items/authentication' to the response with the '200' status


Docs

Create a port profile in a network

Operation ID: createNetworkSwitchPortsProfile

POST /networks/{networkId}/switch/ports/profiles

- added the new optional request property 'authentication'

- added the optional property 'authentication' to the response with the '200' status


Docs

Update a port profile in a network

Operation ID: updateNetworkSwitchPortsProfile

PUT /networks/{networkId}/switch/ports/profiles/{id}

- added the new optional request property 'authentication'

- added the optional property 'authentication' to the response with the '200' status


settings

Docs

Returns the switch network settings

Operation ID: getNetworkSwitchSettings

GET /networks/{networkId}/switch/settings

- added the optional property 'portChannelFallback' to the response with the '200' status


Docs

Update switch network settings

Operation ID: updateNetworkSwitchSettings

PUT /networks/{networkId}/switch/settings

- added the new optional request property 'portChannelFallback'

- added the optional property 'portChannelFallback' to the response with the '200' status



v1.69.0-beta.0

API Changelog v1.68.1-beta.0 vs. 1.69.0-beta.0

API Changes

GET /devices/{serial}/camera/clip

  • endpoint added

POST /devices/{serial}/liveTools/speedTest

  • added the new 'wan3' enum value to the request property 'interface'
  • added the new 'wan4' enum value to the request property 'interface'

GET /devices/{serial}/lossAndLatencyHistory

  • added the new enum value 'wan4' to the 'query' request parameter 'uplink'

GET /networks/{networkId}/wireless/electronicShelfLabel

  • added the optional property 'sepioo' to the response with the '200' status

PUT /networks/{networkId}/wireless/electronicShelfLabel

  • added the optional property 'sepioo' to the response with the '200' status

GET /networks/{networkId}/wireless/electronicShelfLabel/configuredDevices

  • added the optional property '/items/sepioo' to the response with the '200' status

PUT /networks/{networkId}/wireless/ssids/{number}

  • added the new optional request property 'ssidAdminAccessible'

POST /organizations/{organizationId}/alerts/profiles

  • added the new 'wan4' enum value to the request property 'alertCondition/interface'

PUT /organizations/{organizationId}/alerts/profiles/{alertConfigId}

  • added the new 'wan4' enum value to the request property 'alertCondition/interface'

GET /organizations/{organizationId}/assurance/alerts

  • added the new enum value 'experience_metrics' to the 'query' request parameter 'category'

GET /organizations/{organizationId}/assurance/alerts/overview

  • added the new enum value 'experience_metrics' to the 'query' request parameter 'category'

GET /organizations/{organizationId}/assurance/alerts/overview/byNetwork

  • added the new enum value 'experience_metrics' to the 'query' request parameter 'category'

GET /organizations/{organizationId}/assurance/alerts/overview/byType

  • added the new enum value 'experience_metrics' to the 'query' request parameter 'category'

GET /organizations/{organizationId}/assurance/alerts/overview/historical

  • added the new enum value 'experience_metrics' to the 'query' request parameter 'category'

[...]
